import { type ICoordinates, type IOptionLoader, type RecursivePartial } from "@tsparticles/engine";
import { CanvasMaskOverride } from "./CanvasMaskOverride.js";
import { CanvasMaskPixels } from "./CanvasMaskPixels.js";
import type { ICanvasMask } from "../Interfaces/ICanvasMask.js";
import { ImageMask } from "./ImageMask.js";
import { TextMask } from "./TextMask.js";
export declare class CanvasMask implements ICanvasMask, IOptionLoader<ICanvasMask> {
    element?: HTMLCanvasElement;
    enable: boolean;
    image?: ImageMask;
    override: CanvasMaskOverride;
    pixels: CanvasMaskPixels;
    position: ICoordinates;
    scale: number;
    selector?: string;
    text?: TextMask;
    constructor();
    load(data?: RecursivePartial<ICanvasMask>): void;
}
