import { type Container, type ICoordinates, type IDimension, type IRgba } from "@tsparticles/engine";
import type { ICanvasMaskOverride } from "./Options/Interfaces/ICanvasMaskOverride.js";
import type { TextMask } from "./Options/Classes/TextMask.js";
export interface CanvasPixelData {
    height: number;
    pixels: IRgba[][];
    width: number;
}
export declare function addParticlesFromCanvasPixels(container: Container, data: CanvasPixelData, position: ICoordinates, scale: number, override: ICanvasMaskOverride, filter: (pixel: IRgba) => boolean): void;
export declare function getCanvasImageData(ctx: CanvasRenderingContext2D, size: IDimension, offset: number, clear?: boolean): CanvasPixelData;
export declare function getImageData(src: string, offset: number): Promise<CanvasPixelData>;
export declare function getTextData(textOptions: TextMask, offset: number): CanvasPixelData | undefined;
