(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./CanvasMaskPlugin.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadCanvasMaskPlugin = loadCanvasMaskPlugin;
    const engine_1 = require("@tsparticles/engine");
    const CanvasMaskPlugin_js_1 = require("./CanvasMaskPlugin.js");
    async function loadCanvasMaskPlugin(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addPlugin(new CanvasMaskPlugin_js_1.CanvasMaskPlugin(), refresh);
    }
});
